Bug 474473 - Suggest moving libsensors from /usr/lib to /lib
Suggest moving libsensors from /usr/lib to /lib
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lm_sensors (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Nikola Pajkovsky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 346271
  Show dependency treegraph
 
Reported: 2008-12-03 17:39 EST by David Shaw
Modified: 2014-02-02 17:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:08:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Shaw 2008-12-03 17:39:17 EST
Description of problem:

apcupsd links to net-snmp, and net-snmp links to lm_sensors.  To do its job, apcupsd needs to be able to work at shutdown time, when /usr might not be mounted.  apcupsd exists in /sbin, which is fine, but net-snmp and lm_sensors are in /usr/lib.  See bug 346271 for the whole thread.

Version-Release number of selected component (if applicable):

lm_sensors-3.0.2-1.fc10.i386
Comment 1 Michal Hlavinka 2009-08-21 07:07:21 EDT
ping, it's over half a year, any update/response?
Comment 2 Hans de Goede 2009-08-21 07:38:12 EDT
As explained in comment #24 of bug 346271 having a separare /usr is not something
which we support anymore in general, this is something which used to be done in the 1980's, but which really isn't relevant anymore.

I would like to suggest to start a discussion on the fedora-devel list about this, with as ultimate goal to get a statement from FESco wether or not we support a separate /usr.

One could also argue that this is all net-snmp's fault, as it somehow manage to tie libsensors and apcupsd together. While they have nothing to do with each other, other then that they both provide snmp info, if net-snmp was properly modularized, it should be possible to have apcupsd use it with out dragging in
libsensors.

Or one could argue that this is an apcupsd problem, which makes even more sense,
if some functionality of apcupsd is needed during shutdown, then there should be a small separate binary to provide that. The part which provides snmp support is definitely not needed during shutdown, so separate the 2 and be done with it.

Now this may seem I'm looking for excuses to not move libsensors to /lib, but the problem is, that if we do not fight every single move of foo from /usr to  /, then
we end up with 50% of the distro in /, at which point we could just stop having a /usr altogether and install everything in / (which would be a very good idea, as then we no longer have this ancient obsolete artificial separation).
Comment 3 Bug Zapper 2009-11-18 05:18:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:08:01 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.